<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$longName = 'Anmeldung Kontrolle';
$sortId = 45;

$sightsArray = array();



   if (!SessionOperations::isNeuesAnmeldeverfahren()) {
     $sight = new SightItem();
     $sight->name = 'Hauptteilnehmer';
     $sight->id = 61;
     $sight->merge = true;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Firma';
     $sight->id = 73;
     $sight->merge = true;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Liste weitere Teilnehmer';
     $sight->id = 71;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Hoteldaten';
     $sight->id = 205;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Liste der Kurse';
     $sight->id = 69;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Liste der Kinder';
     $sight->id = 224;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Liste der Kurse mit Kindern';
     $sight->id = 74;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Fußzeile mit Tasten';
     $sight->id = 70;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);
   } else {
     $sight = new SightItem();
     $sight->name = 'Neues Anmeldeverfahren - Kontrolle Haupt-Teilnehmer + Kurse';
     $sight->id = 508;
     $sight->showNoData = false;
     array_push($sightsArray, $sight);

     $sight = new SightItem();
     $sight->name = 'Neues Anmeldeverfahren - Kontrolle Weitere Teilnehmer';
     $sight->id = 509;
     $sight->showNoData = true;
     $sight->nameNoData = 'nur Hauptteilnehmer';
     $sight->showNoColumn = true;
     $sight->nameNoColumn = 'ohne Hauptteilnehmer';
     array_push($sightsArray, $sight);
   }

$sight = new SightItem();
$sight->name = 'Vorlage - Kontrolle Zahlplan';
$sight->id = 233;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Vorlage - Kontrolle frei wählbare Felder';
$sight->id = 425;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Vorlage - Kontrolle frei wählbare Felder (weitere Teilnehmer)';
$sight->id = 521;
$sight->showNoData = false;
array_push($sightsArray, $sight);


if (SessionOperations::isNeuesAnmeldeverfahren() && System::isStammhMitFirma()) {
    $sight = new SightItem();
    $sight->name = 'Stammh: Kontrolle Firma / abweichender Zahler';
    $sight->id = 73;
    array_push($sightsArray, $sight);
    $sight = new SightItem();
    $sight->name = 'Stammh: Kontrolle Mitarbeiter / Stammhörer';
    $sight->id = 71;
    array_push($sightsArray, $sight);
    $sight = new SightItem();
    $sight->name = 'Stammh: Kontrolle Kurse';
    $sight->id = 73;
    array_push($sightsArray, $sight);
    $sight = new SightItem();
    $sight->name = 'Stammh: Fußzeile';
    $sight->id = 70;
    $sight->showBody = false;
    $sight->showFooter = false;
    $sight->showNoData = false;
    array_push($sightsArray, $sight);
}